[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'fpjson' (#fcl)

# CreateJSONArray

Create a JSON array

## Declaration

Source position: fpjson.pp line 788

`function CreateJSONArray(`
`const Data: array of Const`
`):TJSONArray;`

## Arguments

`Data` |  | Data to include in the array.

## Function result

The TJSONArray instance representing Data

## Description

CreateJSONArray retrieves the class registered to represent JSON array data, and creates an instance of this class, passing Data to the constructor. For the Data array the same type conversion rules as for the constructor apply.

## Errors

if one of the elements in Data cannot be converted to a JSON structure, an exception will be raised.

## See also

GetJSONInstanceType |  | JSON factory: Get the JSONData class types to use
SetJSONInstanceType |  | JSON factory: Set the JSONData class types to use
GetJSON |  | Convert JSON string to JSON data structure
CreateJSON |  | Create a JSON data item
TJSONArray |  | Class of TJSONArray